Bug 204010 - Thinkpad keyboards not properly handled.
Summary: Thinkpad keyboards not properly handled.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xkeyboard-config   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-24 23:36 UTC by Matthias Clasen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-25 03:42:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (989 bytes, patch)
2006-08-24 23:40 UTC, Matthias Clasen
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 7990 None None None Never

Description Matthias Clasen 2006-08-24 23:36:28 UTC
The geometry file for thinkpads defines two geometries, "us" and "intl", both
based on the partial "common". But the rules file only maps the model "thinkpad"
to "ibm_vndr/thinkpad(common)", which leads to the display of a keyboard without 
the alphabetic keys in gnome-keyboard-properties. 

I'll attach a patch to add a separate thinkpad model for the intl layout, and
map the existing model to "us".

Comment 1 Matthias Clasen 2006-08-24 23:40:16 UTC
Created attachment 134871 [details]
patch

Comment 2 Matthias Clasen 2006-08-25 03:42:53 UTC
Fixed in rawhide, and filed upstream


Note You need to log in before you can comment on or make changes to this bug.